【Google Chrome】Consoleエラー「Unchecked runtime.lastError: The message port closed before a response was received.」は拡張機能を疑え

 

 Web技術

1行目の <!DOCTYPE html> にエラー!?

Google Chrome のデベロッパーツールでの検証中、
Console にエラーが出ているのを発見しました。

エラー内容は

Unchecked runtime.lastError: The message port closed before a response was received.

Google翻訳をしますと
「Unchecked runtime.lastError:応答を受信する前にメッセージポートが閉じました。」
だそうですが。。。

 

ここで、
画面を Sources に切り替えると
1行目の <!DOCTYPE html> が黄色くマークされていました。

 

原因はChromeの拡張機能か

このエラーが出る原因ですが、
Chromeの拡張機能の問題のようで…

拡張機能「Google Publisher Toolbar」を無効にすると解決した、
という方の記事をいくつか拝見しましたが、
私の環境では「Google Publisher Toolbar」を使用していませんでした。

「Google Publisher Toolbar」だけが原因でもないようで、
一つ一つ拡張機能を無効にして試していきました。
原因となる拡張機能は、それぞれの環境によって違うようです。
数多くインストールしていると大変ですね…

 

すると、私の場合は
「NoCoffee」という拡張機能を無効にしたところ、
上記のエラーが消えました。

ちなみに、
「NoCoffee」はロービジョンの方の見え方を疑似的にシミュレーションする拡張機能です。

 

拡張機能を無効にしてみる

一時的に、拡張機能を無効にしてみます。

そしてもう一度Consoleを確認すると

エラーが消えています。

 

「Unchecked runtime.lastError: The message port closed before a response was received.」が出たら、拡張機能を疑え

このエラーが表示された場合には、
まずは拡張機能を疑うと良いでしょう。

ちょっとびっくりしましたが、
サイトが原因ではないことを確認できました…(^^;


▼参考にさせていただきました。ありがとうございます。

 

 この記事の投稿者

iziz

iziz

Webデザイナー&HTMLコーダーときどきイラストレーター。
  • このエントリーをはてなブックマークに追加
  • 1 follow us in feedly

メッセージ

入力エリアすべてが必須項目です。
メールアドレスが公開されることはありません。

*コメント

*名前

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.

ページ最上部へ